////////////////////////////////////////////////////////////////////////////////
//   ____  ____ 
//  /   /\/   / 
// /___/  \  /    Vendor: Xilinx 
// \   \   \/     Version : 1.8
//  \   \         Application : Virtex-6 FPGA GTX Transceiver Wizard  
//  /   /         Filename : mgt_32gbps_16bit_1to12.v
// /___/   /\     Timestamp : 
// \   \  /  \ 
//  \___\/\___\ 
//
//
// Instantiation Template
// Generated by Xilinx Virtex-6 FPGA GTX Transceiver Wizard
// 
// 
// (c) Copyright 2009-2010 Xilinx, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Xilinx, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Xilinx, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Xilinx shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Xilinx had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Xilinx products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Xilinx products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES. 


// Use the templates in this file to add the components generated by the wizard to your
// design. 

   

    //--------------------------- The GTX Wrapper -----------------------------


    MGT_32GBPS_16BIT_1TO12 #
    (
        .WRAPPER_SIM_GTXRESET_SPEEDUP   (0)      // Set this to 1 for simulation
    )
    mgt_32gbps_16bit_1to12_i
    (
        //_____________________________________________________________________
        //_____________________________________________________________________
        //GTX0  (X0Y8)

        //---------------------- Loopback and Powerdown Ports ----------------------
        .GTX0_RXPOWERDOWN_IN            (),
        //--------------------- Receive Ports - 8b10b Decoder ----------------------
        .GTX0_RXCHARISK_OUT             (),
        .GTX0_RXDISPERR_OUT             (),
        .GTX0_RXNOTINTABLE_OUT          (),
        //----------------- Receive Ports - Clock Correction Ports -----------------
        .GTX0_RXCLKCORCNT_OUT           (),
        //------------- Receive Ports - Comma Detection and Alignment --------------
        .GTX0_RXENMCOMMAALIGN_IN        (),
        .GTX0_RXENPCOMMAALIGN_IN        (),
        //----------------- Receive Ports - RX Data Path interface -----------------
        .GTX0_RXDATA_OUT                (),
        .GTX0_RXRECCLK_OUT              (),
        .GTX0_RXUSRCLK2_IN              (),
        //----- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        .GTX0_RXN_IN                    (),
        .GTX0_RXP_IN                    (),
        //---------------------- Receive Ports - RX PLL Ports ----------------------
        .GTX0_GTXRXRESET_IN             (),
        .GTX0_MGTREFCLKRX_IN            (),
        .GTX0_PLLRXRESET_IN             (),
        .GTX0_RXPLLLKDET_OUT            (),
        .GTX0_RXRESETDONE_OUT           (),
        //-------------- Transmit Ports - TX Driver and OOB signaling --------------
        .GTX0_TXN_OUT                   (),
        .GTX0_TXP_OUT                   (),


        //_____________________________________________________________________
        //_____________________________________________________________________
        //GTX1  (X0Y9)

        //---------------------- Loopback and Powerdown Ports ----------------------
        .GTX1_RXPOWERDOWN_IN            (),
        //--------------------- Receive Ports - 8b10b Decoder ----------------------
        .GTX1_RXCHARISK_OUT             (),
        .GTX1_RXDISPERR_OUT             (),
        .GTX1_RXNOTINTABLE_OUT          (),
        //----------------- Receive Ports - Clock Correction Ports -----------------
        .GTX1_RXCLKCORCNT_OUT           (),
        //------------- Receive Ports - Comma Detection and Alignment --------------
        .GTX1_RXENMCOMMAALIGN_IN        (),
        .GTX1_RXENPCOMMAALIGN_IN        (),
        //----------------- Receive Ports - RX Data Path interface -----------------
        .GTX1_RXDATA_OUT                (),
        .GTX1_RXRECCLK_OUT              (),
        .GTX1_RXUSRCLK2_IN              (),
        //----- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        .GTX1_RXN_IN                    (),
        .GTX1_RXP_IN                    (),
        //---------------------- Receive Ports - RX PLL Ports ----------------------
        .GTX1_GTXRXRESET_IN             (),
        .GTX1_MGTREFCLKRX_IN            (),
        .GTX1_PLLRXRESET_IN             (),
        .GTX1_RXPLLLKDET_OUT            (),
        .GTX1_RXRESETDONE_OUT           (),
        //-------------- Transmit Ports - TX Driver and OOB signaling --------------
        .GTX1_TXN_OUT                   (),
        .GTX1_TXP_OUT                   (),


        //_____________________________________________________________________
        //_____________________________________________________________________
        //GTX2  (X0Y10)

        //---------------------- Loopback and Powerdown Ports ----------------------
        .GTX2_RXPOWERDOWN_IN            (),
        //--------------------- Receive Ports - 8b10b Decoder ----------------------
        .GTX2_RXCHARISK_OUT             (),
        .GTX2_RXDISPERR_OUT             (),
        .GTX2_RXNOTINTABLE_OUT          (),
        //----------------- Receive Ports - Clock Correction Ports -----------------
        .GTX2_RXCLKCORCNT_OUT           (),
        //------------- Receive Ports - Comma Detection and Alignment --------------
        .GTX2_RXENMCOMMAALIGN_IN        (),
        .GTX2_RXENPCOMMAALIGN_IN        (),
        //----------------- Receive Ports - RX Data Path interface -----------------
        .GTX2_RXDATA_OUT                (),
        .GTX2_RXRECCLK_OUT              (),
        .GTX2_RXUSRCLK2_IN              (),
        //----- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        .GTX2_RXN_IN                    (),
        .GTX2_RXP_IN                    (),
        //---------------------- Receive Ports - RX PLL Ports ----------------------
        .GTX2_GTXRXRESET_IN             (),
        .GTX2_MGTREFCLKRX_IN            (),
        .GTX2_PLLRXRESET_IN             (),
        .GTX2_RXPLLLKDET_OUT            (),
        .GTX2_RXRESETDONE_OUT           (),
        //-------------- Transmit Ports - TX Driver and OOB signaling --------------
        .GTX2_TXN_OUT                   (),
        .GTX2_TXP_OUT                   (),


        //_____________________________________________________________________
        //_____________________________________________________________________
        //GTX3  (X0Y11)

        //---------------------- Loopback and Powerdown Ports ----------------------
        .GTX3_RXPOWERDOWN_IN            (),
        //--------------------- Receive Ports - 8b10b Decoder ----------------------
        .GTX3_RXCHARISK_OUT             (),
        .GTX3_RXDISPERR_OUT             (),
        .GTX3_RXNOTINTABLE_OUT          (),
        //----------------- Receive Ports - Clock Correction Ports -----------------
        .GTX3_RXCLKCORCNT_OUT           (),
        //------------- Receive Ports - Comma Detection and Alignment --------------
        .GTX3_RXENMCOMMAALIGN_IN        (),
        .GTX3_RXENPCOMMAALIGN_IN        (),
        //----------------- Receive Ports - RX Data Path interface -----------------
        .GTX3_RXDATA_OUT                (),
        .GTX3_RXRECCLK_OUT              (),
        .GTX3_RXUSRCLK2_IN              (),
        //----- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        .GTX3_RXN_IN                    (),
        .GTX3_RXP_IN                    (),
        //---------------------- Receive Ports - RX PLL Ports ----------------------
        .GTX3_GTXRXRESET_IN             (),
        .GTX3_MGTREFCLKRX_IN            (),
        .GTX3_PLLRXRESET_IN             (),
        .GTX3_RXPLLLKDET_OUT            (),
        .GTX3_RXRESETDONE_OUT           (),
        //-------------- Transmit Ports - TX Driver and OOB signaling --------------
        .GTX3_TXN_OUT                   (),
        .GTX3_TXP_OUT                   (),


        //_____________________________________________________________________
        //_____________________________________________________________________
        //GTX4  (X0Y12)

        //---------------------- Loopback and Powerdown Ports ----------------------
        .GTX4_RXPOWERDOWN_IN            (),
        //--------------------- Receive Ports - 8b10b Decoder ----------------------
        .GTX4_RXCHARISK_OUT             (),
        .GTX4_RXDISPERR_OUT             (),
        .GTX4_RXNOTINTABLE_OUT          (),
        //----------------- Receive Ports - Clock Correction Ports -----------------
        .GTX4_RXCLKCORCNT_OUT           (),
        //------------- Receive Ports - Comma Detection and Alignment --------------
        .GTX4_RXENMCOMMAALIGN_IN        (),
        .GTX4_RXENPCOMMAALIGN_IN        (),
        //----------------- Receive Ports - RX Data Path interface -----------------
        .GTX4_RXDATA_OUT                (),
        .GTX4_RXRECCLK_OUT              (),
        .GTX4_RXUSRCLK2_IN              (),
        //----- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        .GTX4_RXN_IN                    (),
        .GTX4_RXP_IN                    (),
        //---------------------- Receive Ports - RX PLL Ports ----------------------
        .GTX4_GTXRXRESET_IN             (),
        .GTX4_MGTREFCLKRX_IN            (),
        .GTX4_PLLRXRESET_IN             (),
        .GTX4_RXPLLLKDET_OUT            (),
        .GTX4_RXRESETDONE_OUT           (),
        //-------------- Transmit Ports - TX Driver and OOB signaling --------------
        .GTX4_TXN_OUT                   (),
        .GTX4_TXP_OUT                   (),


        //_____________________________________________________________________
        //_____________________________________________________________________
        //GTX5  (X0Y13)

        //---------------------- Loopback and Powerdown Ports ----------------------
        .GTX5_RXPOWERDOWN_IN            (),
        //--------------------- Receive Ports - 8b10b Decoder ----------------------
        .GTX5_RXCHARISK_OUT             (),
        .GTX5_RXDISPERR_OUT             (),
        .GTX5_RXNOTINTABLE_OUT          (),
        //----------------- Receive Ports - Clock Correction Ports -----------------
        .GTX5_RXCLKCORCNT_OUT           (),
        //------------- Receive Ports - Comma Detection and Alignment --------------
        .GTX5_RXENMCOMMAALIGN_IN        (),
        .GTX5_RXENPCOMMAALIGN_IN        (),
        //----------------- Receive Ports - RX Data Path interface -----------------
        .GTX5_RXDATA_OUT                (),
        .GTX5_RXRECCLK_OUT              (),
        .GTX5_RXUSRCLK2_IN              (),
        //----- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        .GTX5_RXN_IN                    (),
        .GTX5_RXP_IN                    (),
        //---------------------- Receive Ports - RX PLL Ports ----------------------
        .GTX5_GTXRXRESET_IN             (),
        .GTX5_MGTREFCLKRX_IN            (),
        .GTX5_PLLRXRESET_IN             (),
        .GTX5_RXPLLLKDET_OUT            (),
        .GTX5_RXRESETDONE_OUT           (),
        //-------------- Transmit Ports - TX Driver and OOB signaling --------------
        .GTX5_TXN_OUT                   (),
        .GTX5_TXP_OUT                   (),


        //_____________________________________________________________________
        //_____________________________________________________________________
        //GTX6  (X0Y14)

        //---------------------- Loopback and Powerdown Ports ----------------------
        .GTX6_RXPOWERDOWN_IN            (),
        //--------------------- Receive Ports - 8b10b Decoder ----------------------
        .GTX6_RXCHARISK_OUT             (),
        .GTX6_RXDISPERR_OUT             (),
        .GTX6_RXNOTINTABLE_OUT          (),
        //----------------- Receive Ports - Clock Correction Ports -----------------
        .GTX6_RXCLKCORCNT_OUT           (),
        //------------- Receive Ports - Comma Detection and Alignment --------------
        .GTX6_RXENMCOMMAALIGN_IN        (),
        .GTX6_RXENPCOMMAALIGN_IN        (),
        //----------------- Receive Ports - RX Data Path interface -----------------
        .GTX6_RXDATA_OUT                (),
        .GTX6_RXRECCLK_OUT              (),
        .GTX6_RXUSRCLK2_IN              (),
        //----- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        .GTX6_RXN_IN                    (),
        .GTX6_RXP_IN                    (),
        //---------------------- Receive Ports - RX PLL Ports ----------------------
        .GTX6_GTXRXRESET_IN             (),
        .GTX6_MGTREFCLKRX_IN            (),
        .GTX6_PLLRXRESET_IN             (),
        .GTX6_RXPLLLKDET_OUT            (),
        .GTX6_RXRESETDONE_OUT           (),
        //-------------- Transmit Ports - TX Driver and OOB signaling --------------
        .GTX6_TXN_OUT                   (),
        .GTX6_TXP_OUT                   (),


        //_____________________________________________________________________
        //_____________________________________________________________________
        //GTX7  (X0Y15)

        //---------------------- Loopback and Powerdown Ports ----------------------
        .GTX7_RXPOWERDOWN_IN            (),
        //--------------------- Receive Ports - 8b10b Decoder ----------------------
        .GTX7_RXCHARISK_OUT             (),
        .GTX7_RXDISPERR_OUT             (),
        .GTX7_RXNOTINTABLE_OUT          (),
        //----------------- Receive Ports - Clock Correction Ports -----------------
        .GTX7_RXCLKCORCNT_OUT           (),
        //------------- Receive Ports - Comma Detection and Alignment --------------
        .GTX7_RXENMCOMMAALIGN_IN        (),
        .GTX7_RXENPCOMMAALIGN_IN        (),
        //----------------- Receive Ports - RX Data Path interface -----------------
        .GTX7_RXDATA_OUT                (),
        .GTX7_RXRECCLK_OUT              (),
        .GTX7_RXUSRCLK2_IN              (),
        //----- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        .GTX7_RXN_IN                    (),
        .GTX7_RXP_IN                    (),
        //---------------------- Receive Ports - RX PLL Ports ----------------------
        .GTX7_GTXRXRESET_IN             (),
        .GTX7_MGTREFCLKRX_IN            (),
        .GTX7_PLLRXRESET_IN             (),
        .GTX7_RXPLLLKDET_OUT            (),
        .GTX7_RXRESETDONE_OUT           (),
        //-------------- Transmit Ports - TX Driver and OOB signaling --------------
        .GTX7_TXN_OUT                   (),
        .GTX7_TXP_OUT                   (),


        //_____________________________________________________________________
        //_____________________________________________________________________
        //GTX8  (X0Y16)

        //---------------------- Loopback and Powerdown Ports ----------------------
        .GTX8_RXPOWERDOWN_IN            (),
        //--------------------- Receive Ports - 8b10b Decoder ----------------------
        .GTX8_RXCHARISK_OUT             (),
        .GTX8_RXDISPERR_OUT             (),
        .GTX8_RXNOTINTABLE_OUT          (),
        //----------------- Receive Ports - Clock Correction Ports -----------------
        .GTX8_RXCLKCORCNT_OUT           (),
        //------------- Receive Ports - Comma Detection and Alignment --------------
        .GTX8_RXENMCOMMAALIGN_IN        (),
        .GTX8_RXENPCOMMAALIGN_IN        (),
        //----------------- Receive Ports - RX Data Path interface -----------------
        .GTX8_RXDATA_OUT                (),
        .GTX8_RXRECCLK_OUT              (),
        .GTX8_RXUSRCLK2_IN              (),
        //----- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        .GTX8_RXN_IN                    (),
        .GTX8_RXP_IN                    (),
        //---------------------- Receive Ports - RX PLL Ports ----------------------
        .GTX8_GTXRXRESET_IN             (),
        .GTX8_MGTREFCLKRX_IN            (),
        .GTX8_PLLRXRESET_IN             (),
        .GTX8_RXPLLLKDET_OUT            (),
        .GTX8_RXRESETDONE_OUT           (),
        //-------------- Transmit Ports - TX Driver and OOB signaling --------------
        .GTX8_TXN_OUT                   (),
        .GTX8_TXP_OUT                   (),


        //_____________________________________________________________________
        //_____________________________________________________________________
        //GTX9  (X0Y17)

        //---------------------- Loopback and Powerdown Ports ----------------------
        .GTX9_RXPOWERDOWN_IN            (),
        //--------------------- Receive Ports - 8b10b Decoder ----------------------
        .GTX9_RXCHARISK_OUT             (),
        .GTX9_RXDISPERR_OUT             (),
        .GTX9_RXNOTINTABLE_OUT          (),
        //----------------- Receive Ports - Clock Correction Ports -----------------
        .GTX9_RXCLKCORCNT_OUT           (),
        //------------- Receive Ports - Comma Detection and Alignment --------------
        .GTX9_RXENMCOMMAALIGN_IN        (),
        .GTX9_RXENPCOMMAALIGN_IN        (),
        //----------------- Receive Ports - RX Data Path interface -----------------
        .GTX9_RXDATA_OUT                (),
        .GTX9_RXRECCLK_OUT              (),
        .GTX9_RXUSRCLK2_IN              (),
        //----- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        .GTX9_RXN_IN                    (),
        .GTX9_RXP_IN                    (),
        //---------------------- Receive Ports - RX PLL Ports ----------------------
        .GTX9_GTXRXRESET_IN             (),
        .GTX9_MGTREFCLKRX_IN            (),
        .GTX9_PLLRXRESET_IN             (),
        .GTX9_RXPLLLKDET_OUT            (),
        .GTX9_RXRESETDONE_OUT           (),
        //-------------- Transmit Ports - TX Driver and OOB signaling --------------
        .GTX9_TXN_OUT                   (),
        .GTX9_TXP_OUT                   (),


        //_____________________________________________________________________
        //_____________________________________________________________________
        //GTX10  (X0Y18)

        //---------------------- Loopback and Powerdown Ports ----------------------
        .GTX10_RXPOWERDOWN_IN           (),
        //--------------------- Receive Ports - 8b10b Decoder ----------------------
        .GTX10_RXCHARISK_OUT            (),
        .GTX10_RXDISPERR_OUT            (),
        .GTX10_RXNOTINTABLE_OUT         (),
        //----------------- Receive Ports - Clock Correction Ports -----------------
        .GTX10_RXCLKCORCNT_OUT          (),
        //------------- Receive Ports - Comma Detection and Alignment --------------
        .GTX10_RXENMCOMMAALIGN_IN       (),
        .GTX10_RXENPCOMMAALIGN_IN       (),
        //----------------- Receive Ports - RX Data Path interface -----------------
        .GTX10_RXDATA_OUT               (),
        .GTX10_RXRECCLK_OUT             (),
        .GTX10_RXUSRCLK2_IN             (),
        //----- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        .GTX10_RXN_IN                   (),
        .GTX10_RXP_IN                   (),
        //---------------------- Receive Ports - RX PLL Ports ----------------------
        .GTX10_GTXRXRESET_IN            (),
        .GTX10_MGTREFCLKRX_IN           (),
        .GTX10_PLLRXRESET_IN            (),
        .GTX10_RXPLLLKDET_OUT           (),
        .GTX10_RXRESETDONE_OUT          (),
        //-------------- Transmit Ports - TX Driver and OOB signaling --------------
        .GTX10_TXN_OUT                  (),
        .GTX10_TXP_OUT                  (),


        //_____________________________________________________________________
        //_____________________________________________________________________
        //GTX11  (X0Y19)

        //---------------------- Loopback and Powerdown Ports ----------------------
        .GTX11_RXPOWERDOWN_IN           (),
        //--------------------- Receive Ports - 8b10b Decoder ----------------------
        .GTX11_RXCHARISK_OUT            (),
        .GTX11_RXDISPERR_OUT            (),
        .GTX11_RXNOTINTABLE_OUT         (),
        //----------------- Receive Ports - Clock Correction Ports -----------------
        .GTX11_RXCLKCORCNT_OUT          (),
        //------------- Receive Ports - Comma Detection and Alignment --------------
        .GTX11_RXENMCOMMAALIGN_IN       (),
        .GTX11_RXENPCOMMAALIGN_IN       (),
        //----------------- Receive Ports - RX Data Path interface -----------------
        .GTX11_RXDATA_OUT               (),
        .GTX11_RXRECCLK_OUT             (),
        .GTX11_RXUSRCLK2_IN             (),
        //----- Receive Ports - RX Driver,OOB signalling,Coupling and Eq.,CDR ------
        .GTX11_RXN_IN                   (),
        .GTX11_RXP_IN                   (),
        //---------------------- Receive Ports - RX PLL Ports ----------------------
        .GTX11_GTXRXRESET_IN            (),
        .GTX11_MGTREFCLKRX_IN           (),
        .GTX11_PLLRXRESET_IN            (),
        .GTX11_RXPLLLKDET_OUT           (),
        .GTX11_RXRESETDONE_OUT          (),
        //-------------- Transmit Ports - TX Driver and OOB signaling --------------
        .GTX11_TXN_OUT                  (),
        .GTX11_TXP_OUT                  ()


    );
    



    //---------------------Dedicated GTX Reference Clock Inputs ---------------
    // Each dedicated refclk you are using in your design will need its own IBUFDS_GTXE1 instance
    
    IBUFDS_GTXE1 q3_clk0_refclk_ibufds_i
    (
        .O                              (),
        .ODIV2                          (),
        .CEB                            (),
        .I                              (),  // Connect to package pin P6
        .IB                             ()  // Connect to package pin P5
    );






